krb5_error(3)

NAME
krb5_error - Heimdal Kerberos 5 error reporting functions

SYNOPSIS

  Functions
KRB5_LIB_FUNCTION char *KRB5_LIB_CALL krb5_get_error_string (krb5_context context) KRB5_DEPRECATED_FUNCTION('Use krb5_get_error_message instead')
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_eai_to_heim_errno (int eai_errno, int system_error)
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_h_errno_to_heim_errno (int eai_errno)
KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_clear_error_message (krb5_context context)
KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_set_error_message (krb5_context context, krb5_error_code ret, const char *fmt,...) __attribute__((__format__(__printf__
KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_vset_error_message (krb5_context context, krb5_error_code ret, const char *fmt, va_list args) __attribute__((__format__(__printf__
KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_prepend_error_message (krb5_context context, krb5_error_code ret, const char *fmt,...) __attribute__((__format__(__printf__
KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_vprepend_error_message (krb5_context context, krb5_error_code ret, const char *fmt, va_list args) __attribute__((__format__(__printf__
KRB5_LIB_FUNCTION const char *KRB5_LIB_CALL krb5_get_error_message (krb5_context context, krb5_error_code code)
KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_free_error_message (krb5_context context, const char *msg)
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_vwarn (krb5_context context, krb5_error_code code, const char *fmt, va_list ap) __attribute__((__format__(__printf__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_warn (krb5_context context, krb5_error_code code, const char *fmt,...) __attribute__((__format__(__printf__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_vwarnx (krb5_context context, const char *fmt, va_list ap) __attribute__((__format__(__printf__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_warnx (krb5_context context, const char *fmt,...) __attribute__((__format__(__printf__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_verr (krb5_context context, int eval, krb5_error_code code, const char *fmt, va_list ap) __attribute__((__noreturn__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_err (krb5_context context, int eval, krb5_error_code code, const char *fmt,...) __attribute__((__noreturn__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_verrx (krb5_context context, int eval, const char *fmt, va_list ap) __attribute__((__noreturn__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_errx (krb5_context context, int eval, const char *fmt,...) __attribute__((__noreturn__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_vabort (krb5_context context, krb5_error_code code, const char *fmt, va_list ap) __attribute__((__noreturn__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_abort (krb5_context context, krb5_error_code code, const char *fmt,...) __attribute__((__noreturn__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_abortx (krb5_context context, const char *fmt,...) __attribute__((__noreturn__
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_set_warn_dest (krb5_context context, krb5_log_facility *fac)
KRB5_LIB_FUNCTION krb5_log_facility *KRB5_LIB_CALL krb5_get_warn_dest (krb5_context context)

Detailed Description

Function Documentation

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_abort (krb5_context context, krb5_error_code code, const char * fmt, ...)
Log a warning to the log, default stderr, include the error from the last failure and then abort.

Parameters
    context A Kerberos 5 context
    code error code of the last error
    fmt message to print
    ... arguments for format string

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_abortx (krb5_context context, const char * fmt, ...)
Log a warning to the log, default stderr, and then abort.

Parameters
    context A Kerberos 5 context
    fmt printf format string of message to print
    ... arguments for format string

  KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_clear_error_message (krb5_context context)
Clears the error message from the Kerberos 5 context.

Parameters
    context The Kerberos 5 context to clear

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_eai_to_heim_errno (int eai_errno, int system_error)
Convert the getaddrinfo() error code to a Kerberos et error code.

Parameters
    eai_errno contains the error code from getaddrinfo().
    system_error should have the value of errno after the failed getaddrinfo().

Returns
    Kerberos error code representing the EAI errors.

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_err (krb5_context context, int eval, krb5_error_code code, const char * fmt, ...)
Log a warning to the log, default stderr, include bthe error from the last failure and then exit.

Parameters
    context A Kerberos 5 context
    eval the exit code to exit with
    code error code of the last error
    fmt message to print

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_errx (krb5_context context, int eval, const char * fmt, ...)
Log a warning to the log, default stderr, and then exit.

Parameters
    context A Kerberos 5 context
    eval the exit code to exit with
    fmt message to print

  KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_free_error_message (krb5_context context, const char * msg)
Free the error message returned by krb5_get_error_message().

Parameters
    context Kerberos context
    msg error message to free, returned byg krb5_get_error_message().

  KRB5_LIB_FUNCTION const char* KRB5_LIB_CALL krb5_get_error_message (krb5_context context, krb5_error_code code)
Return the error message for `code' in context. On memory allocation error the function returns NULL.

Parameters
    context Kerberos 5 context
    code Error code related to the error

Returns
    an error string, needs to be freed with krb5_free_error_message(). The functions return NULL on error.

  KRB5_LIB_FUNCTION char* KRB5_LIB_CALL krb5_get_error_string (krb5_context context)
Return the error message in context. On error or no error string, the function returns NULL.

Parameters
    context Kerberos 5 context

Returns
    an error string, needs to be freed with krb5_free_error_message(). The functions return NULL on error.

  KRB5_LIB_FUNCTION krb5_log_facility* KRB5_LIB_CALL krb5_get_warn_dest (krb5_context context)
Get the default logging facility.

Parameters
    context A Kerberos 5 context

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_h_errno_to_heim_errno (int eai_errno)
Convert the gethostname() error code (h_error) to a Kerberos et error code.

Parameters
    eai_errno contains the error code from gethostname().

Returns
    Kerberos error code representing the gethostname errors.

  KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_prepend_error_message (krb5_context context, krb5_error_code ret, const char * fmt, ...)
Prepend the context full error string for a specific error code. The error that is stored should be internationalized.

The if context is NULL, no error string is stored.

Parameters
    context Kerberos 5 context
    ret The error code
    fmt Error string for the error code
    ... printf(3) style parameters.

  KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_set_error_message (krb5_context context, krb5_error_code ret, const char * fmt, ...)
Set the context full error string for a specific error code. The error that is stored should be internationalized.

The if context is NULL, no error string is stored.

Parameters
    context Kerberos 5 context
    ret The error code
    fmt Error string for the error code
    ... printf(3) style parameters.

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_set_warn_dest (krb5_context context, krb5_log_facility * fac)
Set the default logging facility.

Parameters
    context A Kerberos 5 context
    fac Facility to use for logging.

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_vabort (krb5_context context, krb5_error_code code, const char * fmt, va_list ap)
Log a warning to the log, default stderr, include bthe error from the last failure and then abort.

Parameters
    context A Kerberos 5 context
    code error code of the last error
    fmt message to print
    ap arguments

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_verr (krb5_context context, int eval, krb5_error_code code, const char * fmt, va_list ap)
Log a warning to the log, default stderr, include bthe error from the last failure and then exit.

Parameters
    context A Kerberos 5 context
    eval the exit code to exit with
    code error code of the last error
    fmt message to print
    ap arguments

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_verrx (krb5_context context, int eval, const char * fmt, va_list ap)
Log a warning to the log, default stderr, and then exit.

Parameters
    context A Kerberos 5 context
    eval the exit code to exit with
    fmt message to print
    ap arguments

  KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_vprepend_error_message (krb5_context context, krb5_error_code ret, const char * fmt, va_list args)
Prepend the contexts's full error string for a specific error code.

The if context is NULL, no error string is stored.

Parameters
    context Kerberos 5 context
    ret The error code
    fmt Error string for the error code
    args printf(3) style parameters.

  KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_vset_error_message (krb5_context context, krb5_error_code ret, const char * fmt, va_list args)
Set the context full error string for a specific error code.

The if context is NULL, no error string is stored.

Parameters
    context Kerberos 5 context
    ret The error code
    fmt Error string for the error code
    args printf(3) style parameters.

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_vwarn (krb5_context context, krb5_error_code code, const char * fmt, va_list ap)
Log a warning to the log, default stderr, include the error from the last failure.

Parameters
    context A Kerberos 5 context.
    code error code of the last error
    fmt message to print
    ap arguments

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_vwarnx (krb5_context context, const char * fmt, va_list ap)
Log a warning to the log, default stderr.

Parameters
    context A Kerberos 5 context.
    fmt message to print
    ap arguments

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_warn (krb5_context context, krb5_error_code code, const char * fmt, ...)
Log a warning to the log, default stderr, include the error from the last failure.

Parameters
    context A Kerberos 5 context.
    code error code of the last error
    fmt message to print

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_warnx (krb5_context context, const char * fmt, ...)
Log a warning to the log, default stderr.

Parameters
    context A Kerberos 5 context.
    fmt message to print

Author

Generated automatically by Doxygen for Heimdal Kerberos 5 library from the source code.